Subject: bug#17169: fails to start with (setq force-load-messages t) in ~/.emacs

From: Ivan Shmakov <[email-masked]>
Date: Thu, 03 Apr 2014 20:41:43 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov Date: Thu, 03 Apr 2014 19:05:38 +0000

[…]

 >>> This code runs at "temacs -l loadup dump" time, so the result is
 >>> that uni-bidi.el gets loaded and dumped into the Emacs binary.

 >> Does the same apply to uni-mirrored.el?

 > No.  I fixed this now on the emacs-24 branch (r116902).

	ACK, thanks, I hope to try it the next time I’d be building
	Emacs from Git.  (Probably late next week.)

 > (For the record, this crash didn't happen on my system because there
 > bidi_initialize is called for the first time before the user init
 > file is read, and therefore force-load-messages is still nil.)

	JFTR, is it somehow related to the use of a tty vs. an X window?

[…]

-- 
FSF associate member #7257